### Enumeration

# Meta DebugTopic

#### Declaration

    flags Meta.DebugTopic

#### Description

No description available.

#### Members

`META_DEBUG_VERBOSE`

  Verbose logging.

  - Value: `-1`
  - Available since: 14
`META_DEBUG_FOCUS`

  Focus.

  - Value: `1`
  - Available since: 14
`META_DEBUG_WORKAREA`

  Workarea.

  - Value: `2`
  - Available since: 14
`META_DEBUG_STACK`

  Stack.

  - Value: `4`
  - Available since: 14
`META_DEBUG_SM`

  Session management.

  - Value: `8`
  - Available since: 14
`META_DEBUG_EVENTS`

  Events.

  - Value: `16`
  - Available since: 14
`META_DEBUG_WINDOW_STATE`

  Window state.

  - Value: `32`
  - Available since: 14
`META_DEBUG_WINDOW_OPS`

  Window operations.

  - Value: `64`
  - Available since: 14
`META_DEBUG_GEOMETRY`

  Geometry.

  - Value: `128`
  - Available since: 14
`META_DEBUG_PLACEMENT`

  Window placement.

  - Value: `256`
  - Available since: 14
`META_DEBUG_PING`

  Ping.

  - Value: `512`
  - Available since: 14
`META_DEBUG_KEYBINDINGS`

  Keybindings.

  - Value: `1024`
  - Available since: 14
`META_DEBUG_SYNC`

  Sync.

  - Value: `2048`
  - Available since: 14
`META_DEBUG_STARTUP`

  Startup.

  - Value: `4096`
  - Available since: 14
`META_DEBUG_PREFS`

  Preferences.

  - Value: `8192`
  - Available since: 14
`META_DEBUG_GROUPS`

  Groups.

  - Value: `16384`
  - Available since: 14
`META_DEBUG_RESIZING`

  Resizing.

  - Value: `32768`
  - Available since: 14
`META_DEBUG_SHAPES`

  Shapes.

  - Value: `65536`
  - Available since: 14
`META_DEBUG_EDGE_RESISTANCE`

  Edge resistance.

  - Value: `131072`
  - Available since: 14
`META_DEBUG_DBUS`

  No description available.

  - Value: `262144`
  - Available since: 14
`META_DEBUG_INPUT`

  No description available.

  - Value: `524288`
  - Available since: 14
`META_DEBUG_WAYLAND`

  Wayland.

  - Value: `1048576`
  - Available since: 14
`META_DEBUG_KMS`

  Kernel mode setting.

  - Value: `2097152`
  - Available since: 14
`META_DEBUG_SCREEN_CAST`

  Screencasting.

  - Value: `4194304`
  - Available since: 14
`META_DEBUG_REMOTE_DESKTOP`

  Remote desktop.

  - Value: `8388608`
  - Available since: 14
`META_DEBUG_BACKEND`

  Backend.

  - Value: `16777216`
  - Available since: 14
`META_DEBUG_RENDER`

  Native backend rendering.

  - Value: `33554432`
  - Available since: 14
`META_DEBUG_COLOR`

  Color management.

  - Value: `67108864`
  - Available since: 14
`META_DEBUG_INPUT_EVENTS`

  Input events.

  - Value: `134217728`
  - Available since: 14
`META_DEBUG_EIS`

  Eis state.

  - Value: `268435456`
  - Available since: 14